Package org.apache.sysds.api.mlcontext

# Class MLContextException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sysds.api.mlcontext.MLContextException

All Implemented Interfaces:
  `Serializable`

public class MLContextException extends RuntimeException
Uncaught exception representing SystemDS exceptions that occur through the MLContext API.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MLContextException()`
`MLContextException(String message)`
`MLContextException(String message, boolean suppressStacktrace)`
Generate an exception and optionally suppress the stacktrace.
`MLContextException(String message, Throwable cause)`
`MLContextException(Throwable cause)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MLContextException

public MLContextException()

### MLContextException

public MLContextException(String message, Throwable cause)

### MLContextException

public MLContextException(String message)

### MLContextException

public MLContextException(Throwable cause)

### MLContextException

public MLContextException(String message, boolean suppressStacktrace)
Generate an exception and optionally suppress the stacktrace. This can be useful in an environment such as a Spark Shell in certain situations where a stacktrace may be extraneous.

Parameters:
  `message` - the exception message
  `suppressStacktrace` - `true` to suppress stacktrace, `false` otherwise

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Throwable`